Bug 465568 - segfault trying to run firefox 32bit on 64 bit machine
segfault trying to run firefox 32bit on 64 bit machine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox-32 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 17:18 EDT by Donald Cohen
Modified: 2008-10-26 17:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-26 17:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Cohen 2008-10-03 17:18:37 EDT
Description of problem:
$ uname -a
Linux number11.don-eve.dyndns.org 2.6.27-0.372.rc8.fc10.x86_64 #1 SMP Tue Sep 30 00:58:34 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

with great difficulty I think I now have both versions of firefox installed:
$ yum list installed firefox\*
Loaded plugins: refresh-packagekit
Installed Packages
firefox.i386                             3.0.2-1.fc10           installed       
firefox.x86_64                           3.0.2-1.fc10           installed       

I formerly got another complaint about libcanberra:
$ /usr/lib/firefox-3.0.2/firefox 
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
 ...
which I've fixed by installing it.
So that's another small bug - it must not be listed as a dependency.

Currently I get this:
$ /usr/lib/firefox-3.0.2/firefox 

(firefox:6627): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",

(firefox:6627): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Fontconfig error: "conf.d", line 1: no element found
Fontconfig warning: line 73: unknown element "cachedir"
Fontconfig warning: line 74: unknown element "cachedir"
Segmentation fault
Comment 1 Donald Cohen 2008-10-03 17:27:17 EDT
I've now installed bug-buddy-2.24.0-1.fc10.i386 (containing gnomebreakpad) and get this:

$ /usr/lib/firefox-3.0.2/firefox 

(firefox:6715): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",

(firefox:6715): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",
Fontconfig error: "conf.d", line 1: no element found
Fontconfig warning: line 73: unknown element "cachedir"
Fontconfig warning: line 74: unknown element "cachedir"
*** glibc detected *** /usr/lib/firefox-3.0.2/firefox: free(): invalid pointer: 0x0a27834c ***
======= Backtrace: =========
/lib/libc.so.6[0x3855a4]
/lib/libc.so.6(cfree+0x96)[0x387556]
/lib/libglib-2.0.so.0(g_free+0x36)[0x6b00746]
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so[0x6a5b42a]
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so[0x6a5b5d5]
[0x110400]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0                                  [vdso]
00111000-00133000 r-xp 00000000 fd:00 9502989                            /usr/lib/libjpeg.so.62.0.0
00133000-00134000 rw-p 00021000 fd:00 9502989                            /usr/lib/libjpeg.so.62.0.0
00134000-00147000 r-xp 00000000 fd:00 8819                               /lib/libz.so.1.2.3
00147000-00148000 rw-p 00012000 fd:00 8819                               /lib/libz.so.1.2.3
00148000-0014b000 r-xp 00000000 fd:00 11848                              /lib/libgmodule-2.0.so.0.1800.1
0014b000-0014c000 rw-p 00002000 fd:00 11848                              /lib/libgmodule-2.0.so.0.1800.1
0014c000-0016c000 r-xp 00000000 fd:00 9380375                            /lib/ld-2.8.90.so
0016c000-0016d000 r--p 00020000 fd:00 9380375                            /lib/ld-2.8.90.so
0016d000-0016e000 rw-p 00021000 fd:00 9380375                            /lib/ld-2.8.90.so
0016e000-00253000 r-xp 00000000 fd:00 9502995                            /usr/lib/libstdc++.so.6.0.10
00253000-00257000 r--p 000e4000 fd:00 9502995                            /usr/lib/libstdc++.so.6.0.10
00257000-00258000 rw-p 000e8000 fd:00 9502995                            /usr/lib/libstdc++.so.6.0.10
00258000-0025e000 rw-p 00258000 00:00 0 
0025e000-002c7000 r-xp 00000000 fd:00 9503112                            /usr/lib/libsqlite3.so.0.8.6
002c7000-002c9000 rw-p 00068000 fd:00 9503112                            /usr/lib/libsqlite3.so.0.8.6
002c9000-002df000 r-xp 00000000 fd:00 11853                              /lib/libnssutil3.so
002df000-002e2000 rw-p 00015000 fd:00 11853                              /lib/libnssutil3.so
002e2000-002e3000 r-xp 00000000 fd:00 9502975                            /usr/lib/libxcb-xlib.so.0.0.0
002e3000-002e4000 rw-p 00000000 fd:00 9502975                            /usr/lib/libxcb-xlib.so.0.0.0
002e6000-002e9000 r-xp 00000000 fd:00 9380371                            /lib/libdl-2.8.90.so
002e9000-002ea000 r--p 00002000 fd:00 9380371                            /lib/libdl-2.8.90.so
002ea000-002eb000 rw-p 00003000 fd:00 9380371                            /lib/libdl-2.8.90.so
002ed000-00314000 r-xp 00000000 fd:00 9380369                            /lib/libm-2.8.90.so
00314000-00315000 r--p 00026000 fd:00 9380369                            /lib/libm-2.8.90.so
00315000-00316000 rw-p 00027000 fd:00 9380369                            /lib/libm-2.8.90.so
00316000-00484000 r-xp 00000000 fd:00 12934                              /lib/libc-2.8.90.so
00484000-00486000 r--p 0016e000 fd:00 12934                              /lib/libc-2.8.90.so
00486000-00487000 rw-p 00170000 fd:00 12934                              /lib/libc-2.8.90.so
00487000-0048a000 rw-p 00487000 00:00 0 
0048a000-00541000 r-xp 00000000 fd:00 249206                             /usr/lib/xulrunner-1.9/libmozjs.so
00541000-00546000 rw-p 000b6000 fd:00 249206                             /usr/lib/xulrunner-1.9/libmozjs.so
00546000-0056c000 r-xp 00000000 fd:00 11855                              /lib/libsmime3.so
0056c000-0056e000 rw-p 00026000 fd:00 11855                              /lib/libsmime3.so
0056e000-00572000 r-xp 00000000 fd:00 11856                              /lib/libgthread-2.0.so.0.1800.1
00572000-00573000 rw-p 00003000 fd:00 11856                              /lib/libgthread-2.0.so.0.1800.1
00575000-00577000 r-xp 00000000 fd:00 11851                              /lib/libplds4.so
00577000-00578000 rw-p 00002000 fd:00 11851                              /lib/libplds4.so
00578000-005a7000 r-xp 00000000 fd:00 11857                              /lib/libssl3.so
005a7000-005a9000 rw-p 0002e000 fd:00 11857                              /lib/libssl3.so
005a9000-005e0000 r-xp 00000000 fd:00 11850                              /lib/libnspr4.so
005e0000-005e1000 rw-p 00037000 fMultiple segmentation faults occurred; can't display error dialog
Comment 2 Matěj Cepl 2008-10-26 17:37:39 EDT
This package is not supported anymore and it is not necessary. Using nspluginwrapper.{i386,x86_64} you can use flash-plugin even on x86_64.

Note You need to log in before you can comment on or make changes to this bug.